# Source code

    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one
    003 * or more contributor license agreements.  See the NOTICE file
    004 * distributed with this work for additional information
    005 * regarding copyright ownership.  The ASF licenses this file
    006 * to you under the Apache License, Version 2.0 (the
    007 * "License"); you may not use this file except in compliance
    008 * with the License.  You may obtain a copy of the License at
    009 *
    010 * http://www.apache.org/licenses/LICENSE-2.0
    011 *
    012 * Unless required by applicable law or agreed to in writing,
    013 * software distributed under the License is distributed on an
    014 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015 * KIND, either express or implied.  See the License for the
    016 * specific language governing permissions and limitations
    017 * under the License.
    018 */
    019
    020package org.apache.commons.compress.utils;
    021
    022import java.util.Collections;
    023import java.util.HashSet;
    024
    025/**
    026 * Set utilities
    027 *
    028 * @since 1.13
    029 */
    030public class Sets {
    031
    032    private Sets() {
    033        // Do not instantiate
    034    }
    035
    036    /**
    037     * Creates a new HashSet filled with the given elements
    038     *
    039     * @param elements
    040     *            the elements to fill the new set
    041     * @return A new HasSet
    042     */
    043    public static <E> HashSet<E> newHashSet(@SuppressWarnings("unchecked") E... elements) {
    044        final HashSet<E> set = new HashSet<>(elements.length);
    045        Collections.addAll(set, elements);
    046        return set;
    047    }
    048}